<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));
$codconfig= $sesion->get('configuracion'); 

$nombre_grupo=$codconfig['nombres_grupos'];
$limite_registros=$codconfig['max_grupos_grado'];
		

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB.''.$sesion->get('anio'));


if(trim($_REQUEST['accion'])!='new'){
	$codigo=$_REQUEST[codigo];
	$sql="SELECT aca_grupos.cod_grupo, aca_grupos.cod_grado, aca_grupos.cod_nom_grupo, aca_grupos.cod_sede, aca_grupos.cod_jornada, aca_grupos.cod_especialidad, aca_grupos.cod_metodologia, aca_grupos.cod_director, aca_grupos.fecha_inicio, aca_grupos.fecha_fin, aca_grupos.num_aula, aca_grupos.dim_aula, aux_caracteres.cod_caracter FROM aux_especialidades INNER JOIN aux_caracteres ON (aux_especialidades.cod_caracter = aux_caracteres.cod_caracter) INNER JOIN aca_grupos ON (aca_grupos.cod_especialidad = aux_especialidades.cod_especialidad) WHERE cod_grupo='$codigo'";
  
	$academia->instruccion($sql);	  
	$row=$academia->extraer_registro();
	$codgrupo=$row['cod_grupo'];
	//$idegrado=$row['ide_grado'];
	$codgrado=$row['cod_grado'];
	$nomgrupo=$row['cod_nom_grupo'];
	$codsede=$row['cod_sede'];
	$codjornada=$row['cod_jornada'];
	$codespecialidad=$row['cod_especialidad'];
	$codmetodologia=$row['cod_metodologia'];
	$coddirector=$row['cod_director'];
	$fechainicio=$row['fecha_inicio'];
	$fechafin=$row['fecha_fin'];
	$numaula=$row['num_aula'];
	$dimaula=$row['dim_aula'];
	$codcaracter=$row['cod_caracter'];
	$accion='edit';
		  
}else{
	$ideprofesor='';
	$sexpro='M';
	$accion='add';
	$codsede=$codconfig['cod_sed_principal'];
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Asignaturas</title>

<script  type="text/javascript">
//---------------------------------------------------------------------------------------------------------------------
$(document).ready(function(){
	
	grasel=jQuery("#list_grados").jqGrid('getGridParam','selrow');
	$('#txtcod_grado option[value='+grasel+']').attr('selected',true);
	
	var nomgrup='<?php echo $nombre_grupo ?>'
	$("#accion").click(function(){
		var tipo=$(this).attr('acc');
		if(tipo=='new'){
			<?php $ms='newexito' ?>
		}else{
			<?php $ms='editexito' ?>
		}

		var newDt={
			"<?php echo $nombre_grupo?>":$("#txtnom_grupo option:selected").html(), 
			nom_sede:$("#txtcod_sede option:selected").html(),
			"j.cod_jornada":$("#txtcod_jornada option:selected").html(),
			"e.cod_especialidad":$("#txtnom_especialidad option:selected").html(),
			"c.cod_caracter":$("#txtnom_caracter option:selected").html(),
			"m.cod_metodologia":$("#txtcod_metodologia option:selected").html(),
			nom_profesor:$("#txtnom_director option:selected").html(),
			fecha_inicio:$("#txtfecha_inicio").val(),
			fecha_fin:$("#txtfecha_fin").val(),
			num_aula:$("#txtnum_aula").val(),
			dim_aula:$("#txtdim_aula").val()
		}

		var conf={
			url:'mod_gradosgrupos/opera_grupos.php',
			data:$("#grupos_new_edit").serialize(),
			modulo:'grupos',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			msgExito:'<?php  echo $cleguaje->Phrase('global', $ms) ?>',
			msg_espere:'<?php  echo $cleguaje->Phrase('global', 'msg_espera') ?>',	
			id_grilla:'listado_grupos',
			data_grid: newDt,
			frm:"#grupos_new_edit",
			evento:tipo	
		}
		acciones(conf);
		
	})
	
	
	$(this).bind('cbox_complete',function(){
		$("#txtcod_grado").focus();
	})
	

	$("#txtnum_aula").valida({
		lcapita:false,
		rulers:3,
		mincar:0,
		required:false
	})
	
	$("#txtdim_aula").valida({
		lcapita:false,
		rulers:"dec",
		fnumdec:{
			ndec:1 
		},
		mincar:2,
		required:true
	})
	
	$("#txtnom_director").valida_select()
	$("#txtcod_grado,#txtcod_sede,#txtnom_grupo,#txtcod_jornada,#txtnom_caracter,#txtnom_especialidad,#txtcod_metodologia").addClass("campos")
	
	
	var dates = $( "#txtfecha_inicio, #txtfecha_fin" ).datepicker({
		changeMonth: true, // True if month can be selected directly, false if only prev/next
		changeYear: true,
		yearRange: 'c-1:c+1',
		maxDate: "+1Y", 
		minDate: "-1Y",
		onClose:function(selectedDate){
			var option = this.id == "txtfecha_inicio" ? "minDate" : "maxDate",
				instance = $( this ).data( "datepicker" ),
				date = $.datepicker.parseDate(
					instance.settings.dateFormat ||
					$.datepicker._defaults.dateFormat,
					selectedDate, instance.settings );
			dates.not( this ).datepicker( "option", option, date );
			$(this).addClass("campos").removeClass("campos_error");
			$("#txtfecha_fin").removeAttr('disabled');
		}
	});
	
	$( "#txtfecha_inicio, #txtfecha_fin" ).valida();

//-------------------------------------------------------------
	$("#txtcod_sede").change(function(){
		cdsede=$(this).val();
		cdgrado=$("#txtcod_grado").val();
		cdjornada=$("#txtcod_jornada").val();
		cnfsede=<?php echo $codconfig['cons_grupo_sede'] ?>; 
		cnfjornada=<?php echo $codconfig['cons_grupo_jorn'] ?>; 
		
		cnd='b2'; 
		vals=cdgrado;
		if (cnfsede==1){
			cnd='b3' 
			vals=cdgrado+'|'+cdsede;
		}
		if (cnfjornada==1){
			if (cnd=='b2'){
				cnd='a9' 
				vals=cdgrado+'|'+cdjornada;
				
			}
			else{
				cnd='a10' 
				vals=cdgrado+'|'+cdsede+'|'+cdjornada;
			}
		}
		
		accion='<?php echo trim($_REQUEST['accion']) ?>'
		if (accion!='new'){
			switch (cnd){ 
				case 'b2': cnd='a11'; 
					break;
				case 'b3': cnd='a12'; 
					break;
				case 'a9': cnd='a13'; 
					break;
				case 'a10': cnd='a14'; 
					break;
			}
			vals=vals+'|<?php echo $codgrupo ?>';
		}

		
		$.ajax({
			type:'POST',
			url:'includes/cargar_selec_normal.php',
			data:{
				codigo:cnd,
				cod_cnds:vals,
				selec:'<?php echo $nomgrupo; ?>',
				cmpg:nomgrup,
				limite:'<?php echo $limite_registros; ?>',
				mopc:0
			},
			beforeSend: function(){
				$("#txtnom_grupo").addClass('campos_error_combo');
			},
			complete: function(){
				$("#txtnom_grupo").removeClass('campos_error_combo');		
			},
			success:function(rta){
				$("#txtnom_grupo").html(rta);
			}
		})	
	});
	
//-------------------------------------------------------------	
	$("#txtcod_jornada").change(function(){
		$("#txtcod_sede").trigger('change');	
	});
	
//-------------------------------------------------------------
//-------------------------------------------------------------	
	
	$("#txtcod_grado").change(function(){
		cdcaracter=$(this).val();
		cdgrado=$(this).val();
		
		xidgrado=$("#txtcod_grado option:selected").attr('aux'); 
		var separar = xidgrado.split('|');
		idgrado= separar[0];
		idcaracter = separar[1]; 
		//----Carga los nombres de los grupos disponibles 
		$("#txtcod_sede").trigger('change');
		
		//----Carga las jornadas que puede tener el grado seleccionado
		
		//wh='';
		cnd='';
		if (idgrado<6){
			cnd='4';
		}
			
		$.ajax({
		type:'POST',
		url:'includes/cargar_selec_normal.php',
		data:{
			codigo:'a15',
			selec:'<?php echo $codjornada; ?>',
			cod_cnds:cnd,
			mopc:0
			},
			
			beforeSend: function(){
				$("#txtcod_jornada").addClass('campos_error_combo');
			},
			complete: function(){
				$("#txtcod_jornada").removeClass('campos_error_combo');		
			},
			success:function(rta){
				$("#txtcod_jornada").html(rta);
			}
		})	
		
		//----Carga los caracteres que puede tener el grado seleccionado
		vals='';
		tam=idcaracter.length;
		cod='';
		if (tam==1){
			cod='a16'
			if (idcaracter.indexOf('1')>-1){
				vals = '1' 
			}
			else if (idcaracter.indexOf('2')>-1){
				vals= '2' 
			}
			else {
				vals='3' 
			}
		}
		else if (tam==3){
			cod='a17'
			if (idcaracter.indexOf('1,2')>-1 || idcaracter.indexOf('2,1')>-1){
				vals = '1|2'
			}
			else if (idcaracter.indexOf('1,3')>-1 || idcaracter.indexOf('3,1')>-1){
				vals = '1|3' 
			}
			else {
				vals='2|3'
			}
		}		
		else if (tam==5){
			cod='a18',
			vals = '1|2|3'
		}
				
		$.ajax({
		type:'POST',
		url:'includes/cargar_selec_normal.php',
		data:{
			codigo: cod,
			selec:'<?php echo $codcaracter; ?>',
			cod_cnds:vals,
			cmp_aux:'1',
			mopc:0
			},
			beforeSend: function(){
				$("#txtnom_caracter").addClass('campos_error_combo');
			},
			complete: function(){
				$("#txtnom_caracter").removeClass('campos_error_combo');	
				//----Carga las especilaidades inmediatamente se cambia el caracter 
				$("#txtnom_caracter").trigger('change');
			},
			success:function(rta){
				$("#txtnom_caracter").html(rta);
			}
		})
	})
	//----------------------------------------------
	//----------------------------------------------
	
	$("#txtnom_caracter").change(function(){
		cdcaracter=$(this).val();
		idcaracter=$("#txtnom_caracter option:selected").attr('aux'); 
		
		$.ajax({
			type:'POST',
			url:'includes/cargar_selec_normal.php',
			data:{
				codigo: 'a19',
				selec:'<?php echo $codespecialidad; ?>',
				cod_cnds: cdcaracter,
				mopc:0
			},
			beforeSend: function(){
				$("#txtnom_especialidad").addClass('campos_error_combo');
			},
			complete: function(){
				$("#txtnom_especialidad").removeClass('campos_error_combo');
			},
			success:function(rta){
				$("#txtnom_especialidad").html(rta);
			}
		});
	});


	$("#txtcod_grado").trigger('change');
	
})


</script>

</head>

<body>
<form  method="post" name="grupos_new_edit" id="grupos_new_edit">
<input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
<input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
<table border="0" align="center" cellpadding="2" width="100%">
  <tr>
    <td colspan="6" align="center" class="ui-widget-header" ><?php echo $cleguaje->Phrase('global','dt_grupos') ?></td>
    </tr>
  <tr>
    <td width="35%"><span class="tit1"><?php echo $cleguaje->Phrase('global','name_sede') ?></span><div>
      <select name="txtcod_sede" class="tit2" id="txtcod_sede" style="width:250px"  >
        <?php
		$cmps="cod_sede,nom_sede";
		$ord='ORDER BY con_sede ASC';
		$tabla="adm_sedes";
		$cmpcnd="";
		$default=$codsede;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0);
	?>
        </select></div>
    </td>
    <td width="35%"><span class="tit1"><?php echo $cleguaje->Phrase('grados','name') ?></span><div>
      <select name="txtcod_grado" class="tit2" id="txtcod_grado" style="width:250px"  >
        <?php
		$cmps="cod_grado,nom_grado";
		$ord='ORDER BY orden ASC';
		$tabla="aux_grados";
		$default=$codgrado;
		$cmpaux='CONCAT(ide_grado,"|",caracter)';
		mostrar_cont_selec($cmps, $tabla,"", $ord,$default,false,$cmpaux,0,0);
	?>
        </select></div>
    </td>
    <td width="30%"><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_jornada') ?></span><div>
            <select name="txtcod_jornada" class="tit2" id="txtcod_jornada" style="width:230px" >
              <?php
		$cmps="cod_jornada,nom_jornada";
		$ord='ORDER BY orden ASC';
		$tabla="aux_jornadas";
		$cmpcnd="";
		$default=$codjornada;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0);
	?>
            </select>
</div></td>
    </tr>
 <!-- <tr>
    <td colspan="4" align="center" class="ui-widget-header"><?php //echo $cleguaje->Phrase('global','documento') ?>d</td>
  </tr>-->
  </table>
  <table border="0" align="center" cellpadding="2" width="100%">
  <tr>
          <td><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_grupo') ?></span><div>
            <select name="txtnom_grupo" class="tit2" id="txtnom_grupo" style="width:100px"  >
              <?php
			  
		//hacer validacion de nombres de grupos por sedes  
			  
		$cmps="cod_nom_grupo,$nombre_grupo";
		$ord='ORDER BY cod_nom_grupo ASC';
		$tabla="aux_nombres_grupos";
		$cmpcnd="";
		$default=$cod_nom_grupo;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
	?>
            </select>
</div></td>
          
<td><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_caracter') ?></span>
            <div>
              <select name="txtnom_caracter" class="tit2" id="txtnom_caracter" style="width:140px" >
              <?php
		/*$cmps="cod_caracter,nom_caracter";
		$ord='ORDER BY orden ASC';
		$tabla="aux_caracteres";  
		$cmpcnd="";
		$default=$codcaracter;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0);*/
	?>
            </select>
          </div></td>
      <td><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_especialidad') ?></span>
            <div>
              <select name="txtnom_especialidad" class="tit2" id="txtnom_especialidad" style="width:197px" >
                <?php /*
		$cmps="cod_especialidad,nom_especialidad";
		$ord='ORDER BY orden ASC';
		$tabla="aux_especialidades";
		$cmpcnd="";
		$default=$codespecialidad;
		$cmpaux='cod_caracter';
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,$cmpaux,0,0); */
	?>
              </select>
          </div></td>
          <td><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_metodologia') ?></span><div>
          <select name="txtcod_metodologia" class="tit2" id="txtcod_metodologia" style="width:280px" >
              <?php
		$cmps="cod_metodologia,nom_metodologia";
		$ord='ORDER BY orden ASC';
		$tabla="aux_metodologias";
		$cmpcnd="";
		$default=$codmetodologia;
		mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0,0);
	?>
            </select>
        </div></td>
    </tr>
</table>
 <table border="0" align="center" cellpadding="2" width="100%">


      <tr>
        <td width="25%"><span class="tit1"><?php echo $cleguaje->getField('grupos','fecha_inicio') ?></span>
          <div>
            <input name="txtfecha_inicio" type="text" class="tit2" id="txtfecha_inicio" value="<?php echo $fechainicio ?>" size="20" maxlength="12" readonly="readonly"/>
      </div></td>
        <td width="25%"><span class="tit1"><?php echo $cleguaje->getField('grupos','fecha_fin') ?></span>
          <div>
            <input name="txtfecha_fin" type="text" class="tit2" id="txtfecha_fin" value="<?php echo $fechafin ?>" size="20" maxlength="15" readonly="readonly"/>
      </div></td>
        <td width="25%"><span class="tit1"><?php echo $cleguaje->Phrase('grupos','nume_aula') ?></span>
      <div><input name="txtnum_aula" type="text" class="tit2" id="txtnum_aula" size="20" maxlength="15" value="<?php echo $numaula ?>"/> </div>           <div></div></td>
          <td width="25%"><span class="tit1">
            <?php echo $cleguaje->Phrase('grupos','dime_aula') ?></span><div>
            <input name="txtdim_aula" type="text" class="tit2" id="txtdim_aula" size="20" value="<?php echo $dimaula ?>"/>
            </div>
      </span></td>
    </tr>
    <tr>
          <td colspan="3"><span class="tit1"><?php echo $cleguaje->getField('grupos','nom_director') ?></span><div>
          <select name="txtnom_director" class="tit2" id="txtnom_director" style="width:60%">
            <?php	
                
				
				$cmps="cod_profesor,concat_ws(' ',trim(ap1_pro),trim(ap2_pro),trim(no1_pro),trim(no2_pro)) as director";
                $ord='ORDER BY ap1_pro,ap2_pro,no1_pro,no2_pro ASC';
                $tabla="pro_profesores";
                $cmpcnd="";
                $default=$coddirector;
                mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
			 ?>
          </select>
        </div></td>
      <td></td>
          </tr>
  <tr>
    <td colspan="6" align="center" class="tit2">
      <?php
		if($_REQUEST['accion']!='new')
			echo "<img src='images/guardar.png' id='accion' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar'/>";
		else
			echo "<img src='images/guardar.png' id='accion' acc='new'  alt='Guardar' width='20' height='20' class='opera' title='Guardar'/>";
	?>
      </td>
  </tr>
</table>
</form>
</body>
</html>